unit Unit3;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs;

type

  { TDetailForm }

  TDetailForm = class(TForm)
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  DetailForm: TDetailForm;

implementation
uses Unit1;
{ TDetailForm }

procedure TDetailForm.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
   CloseAction:=caHide;
   Form1.PrimitivesPageControl.Parent:=Form1.SceneDetailsPanel;
end;

initialization
  {$I unit3.lrs}

end.

